Smart Proxy - Bug #15323

puppet.yml.example gives incorrect puppet_proxy_puppetssh provider name
06/07/2016 07:17 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Puppet
Target version: 1.12.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases: 1.12.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/427
Description

The Puppet SSH provider name given in the example puppet.yml file is incorrect, it should be puppet_proxy_ssh:

$ grep ssh config/settings.d/puppet.yml.example
# puppet_proxy_puppetssh (run puppet over ssh)

puppet_proxy_puppetssh fails:

D, [2016-06-07T12:15:10.462710 #4657] DEBUG -- : 'puppet' settings: 'enabled':
on': 3.8, 'use_provider': ["puppet_proxy_puppetssh", :puppet_proxy_legacy]

true, 'puppet_versi

E, [2016-06-07T12:15:10.463628 #4657] ERROR —— : Disabling all modules in the group ['puppet']:

llowing providers are not available ['puppet_proxy_puppetssh']

fo

Associated revisions

Revision fd75364e - 06/07/2016 10:05 AM - Dominic Cleal
fixes #15323 - correct Puppet SSH provider name

History

#1 - 06/07/2016 07:20 AM - Dominic Cleal

https://github.com/theforeman/puppet-foreman_proxy/issues/254 tracks corresponding changes needed in the Puppet module.

#2 - 06/07/2016 08:00 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 06/07/2016 08:01 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/427 added

#4 - 06/07/2016 11:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset fd75364e432ebaec0Occecc591d3566c3dfbb0947.

#5 - 10/26/2016 05:47 AM - Dirk Mayer
| have exact the same issue in foreman 1.13.0:

$ grep ssh /etc/foreman-proxy/settings.d/puppet.ymi

1. puppet_proxy_ssh (run puppet over ssh)
https://github.com/theforeman/puppet-foreman_proxy/issues/254
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/fd75364e432ebaec0ccecc591d3566c3dfbb0947

:use_provider: puppet_proxy_puppetssh

it should be puppet_proxy_ssh instead of puppet_proxy_puppetssh
